r2241 - in trunk: . openldap

randy at linuxfromscratch.org randy at linuxfromscratch.org
Sun Nov 14 16:44:20 PST 2010


Author: randy
Date: 2010-11-14 17:44:15 -0700 (Sun, 14 Nov 2010)
New Revision: 2241

Added:
   trunk/openldap/
   trunk/openldap/openldap-2.4.23-bdb5-1.patch
Log:
Added openLDAP patch to allow building against Berkeley-DB-5.x

Added: trunk/openldap/openldap-2.4.23-bdb5-1.patch
===================================================================
--- trunk/openldap/openldap-2.4.23-bdb5-1.patch	                        (rev 0)
+++ trunk/openldap/openldap-2.4.23-bdb5-1.patch	2010-11-15 00:44:15 UTC (rev 2241)
@@ -0,0 +1,1945 @@
+Submitted By:            Randy McMurchy <randy_at_linuxfromscratch_dot_org>
+Date:                    2010-11-13
+Initial Package Version: 2.4.23
+Upstream Status:         In upstream CVS
+Origin:                  Upstream CVS (http://www.openldap.org/devel/cvsweb.cgi/configure.diff?r1=1.744&r2=1.745&cvsroot=OpenLDAP-src&hideattic=1&sortbydate=0)
+Description:             Allows building against Berkeley-DB 5.x
+
+diff -Naur openldap-2.4.23-orig/configure openldap-2.4.23/configure
+--- openldap-2.4.23-orig/configure	2010-04-19 19:22:25.000000000 +0000
++++ openldap-2.4.23/configure	2010-11-15 00:25:36.000000000 +0000
+@@ -821,6 +821,7 @@
+ INSTALL_PROGRAM
+ INSTALL_SCRIPT
+ INSTALL_DATA
++am__isrc
+ CYGPATH_W
+ PACKAGE
+ VERSION
+@@ -2268,7 +2269,8 @@
+     NONENONEs,x,x, &&
+   program_prefix=${target_alias}-
+ 
+-am__api_version="1.9"
++am__api_version='1.10'
++
+ # Find a good install program.  We prefer a C program (faster),
+ # so one script is as good as another.  But avoid the broken or
+ # incompatible versions:
+@@ -2420,38 +2422,53 @@
+ echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
+ fi
+ 
+-if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
+-  # We used to keeping the `.' as first argument, in order to
+-  # allow $(mkdir_p) to be used without argument.  As in
+-  #   $(mkdir_p) $(somedir)
+-  # where $(somedir) is conditionally defined.  However this is wrong
+-  # for two reasons:
+-  #  1. if the package is installed by a user who cannot write `.'
+-  #     make install will fail,
+-  #  2. the above comment should most certainly read
+-  #     $(mkdir_p) $(DESTDIR)$(somedir)
+-  #     so it does not work when $(somedir) is undefined and
+-  #     $(DESTDIR) is not.
+-  #  To support the latter case, we have to write
+-  #     test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
+-  #  so the `.' trick is pointless.
+-  mkdir_p='mkdir -p --'
+-else
+-  # On NextStep and OpenStep, the `mkdir' command does not
+-  # recognize any option.  It will interpret all options as
+-  # directories to create, and then abort because `.' already
+-  # exists.
+-  for d in ./-p ./--version;
+-  do
+-    test -d $d && rmdir $d
+-  done
+-  # $(mkinstalldirs) is defined by Automake if mkinstalldirs exists.
+-  if test -f "$ac_aux_dir/mkinstalldirs"; then
+-    mkdir_p='$(mkinstalldirs)'
++{ echo "$as_me:$LINENO: checking for a thread-safe mkdir -p" >&5
++echo $ECHO_N "checking for a thread-safe mkdir -p... $ECHO_C" >&6; }
++if test -z "$MKDIR_P"; then
++  if test "${ac_cv_path_mkdir+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
++for as_dir in $PATH$PATH_SEPARATOR/opt/sfw/bin
++do
++  IFS=$as_save_IFS
++  test -z "$as_dir" && as_dir=.
++  for ac_prog in mkdir gmkdir; do
++	 for ac_exec_ext in '' $ac_executable_extensions; do
++	   { test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$ac_prog$ac_exec_ext"; } || continue
++	   case `"$as_dir/$ac_prog$ac_exec_ext" --version 2>&1` in #(
++	     'mkdir (GNU coreutils) '* | \
++	     'mkdir (coreutils) '* | \
++	     'mkdir (fileutils) '4.1*)
++	       ac_cv_path_mkdir=$as_dir/$ac_prog$ac_exec_ext
++	       break 3;;
++	   esac
++	 done
++       done
++done
++IFS=$as_save_IFS
++
++fi
++
++  if test "${ac_cv_path_mkdir+set}" = set; then
++    MKDIR_P="$ac_cv_path_mkdir -p"
+   else
+-    mkdir_p='$(install_sh) -d'
++    # As a last resort, use the slow shell script.  Don't cache a
++    # value for MKDIR_P within a source directory, because that will
++    # break other packages using the cache if that directory is
++    # removed, or if the value is a relative name.
++    test -d ./--version && rmdir ./--version
++    MKDIR_P="$ac_install_sh -d"
+   fi
+ fi
++{ echo "$as_me:$LINENO: result: $MKDIR_P" >&5
++echo "${ECHO_T}$MKDIR_P" >&6; }
++
++mkdir_p="$MKDIR_P"
++case $mkdir_p in
++  [\\/$]* | ?:[\\/]*) ;;
++  */*) mkdir_p="\$(top_builddir)/$mkdir_p" ;;
++esac
+ 
+ for ac_prog in gawk mawk nawk awk
+ do
+@@ -2534,12 +2551,16 @@
+ fi
+ rmdir .tst 2>/dev/null
+ 
+-# test to see if srcdir already configured
+-if test "`cd $srcdir && pwd`" != "`pwd`" &&
+-   test -f $srcdir/config.status; then
+-  { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
++if test "`cd $srcdir && pwd`" != "`pwd`"; then
++  # Use -I$(srcdir) only when $(srcdir) != ., so that make's output
++  # is not polluted with repeated "-I."
++  am__isrc=' -I$(srcdir)'
++  # test to see if srcdir already configured
++  if test -f $srcdir/config.status; then
++    { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
+ echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
+    { (exit 1); exit 1; }; }
++  fi
+ fi
+ 
+ # test whether we have cygpath
+@@ -2573,7 +2594,7 @@
+ 
+ MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
+ 
+-install_sh=${install_sh-"$am_aux_dir/install-sh"}
++install_sh=${install_sh-"\$(SHELL) $am_aux_dir/install-sh"}
+ 
+ # Installed binaries are usually stripped using `strip' when the user
+ # run `make install-strip'.  However `strip' might not be the right
+@@ -2677,7 +2698,7 @@
+ fi
+ 
+ fi
+-INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
++INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s"
+ 
+ # We need awk for the "check" target.  The system "awk" is bad on
+ # some platforms.
+@@ -4799,9 +4820,7 @@
+   am_depcomp="$ac_aux_dir/depcomp"
+   AMDEPBACKSLASH='\'
+ fi
+-
+-
+-if test "x$enable_dependency_tracking" != xno; then
++ if test "x$enable_dependency_tracking" != xno; then
+   AMDEP_TRUE=
+   AMDEP_FALSE='#'
+ else
+@@ -4810,7 +4829,6 @@
+ fi
+ 
+ 
+-
+ ac_ext=c
+ ac_cpp='$CPP $CPPFLAGS'
+ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+@@ -5797,6 +5815,7 @@
+        depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
+        $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
+          >/dev/null 2>conftest.err &&
++       grep sub/conftst1.h sub/conftest.Po > /dev/null 2>&1 &&
+        grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
+        grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
+        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
+@@ -5826,9 +5845,7 @@
+ echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; }
+ CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
+ 
+-
+-
+-if
++ if
+   test "x$enable_dependency_tracking" != xno \
+   && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
+   am__fastdepCC_TRUE=
+@@ -6183,7 +6200,7 @@
+ case $host_os in
+   darwin*)
+     if test "$GCC" = yes; then
+-      reload_cmds='$CC -nostdlib ${wl}-r -o $output$reload_objs'
++      reload_cmds='$LTCC $LTCFLAGS -nostdlib ${wl}-r -o $output$reload_objs'
+     else
+       reload_cmds='$LD$reload_flag -o $output$reload_objs'
+     fi
+@@ -6199,36 +6216,43 @@
+   # Let the user override the test.
+   lt_cv_path_NM="$NM"
+ else
+-  lt_save_ifs="$IFS"; IFS=$PATH_SEPARATOR
+-  for ac_dir in $PATH /usr/ccs/bin /usr/ucb /bin; do
+-    IFS="$lt_save_ifs"
+-    test -z "$ac_dir" && ac_dir=.
+-    tmp_nm="$ac_dir/${ac_tool_prefix}nm"
+-    if test -f "$tmp_nm" || test -f "$tmp_nm$ac_exeext" ; then
+-      # Check to see if the nm accepts a BSD-compat flag.
+-      # Adding the `sed 1q' prevents false positives on HP-UX, which says:
+-      #   nm: unknown option "B" ignored
+-      # Tru64's nm complains that /dev/null is an invalid object file
+-      case `"$tmp_nm" -B /dev/null 2>&1 | sed '1q'` in
+-      */dev/null* | *'Invalid file or object type'*)
+-	lt_cv_path_NM="$tmp_nm -B"
+-	break
+-        ;;
+-      *)
+-	case `"$tmp_nm" -p /dev/null 2>&1 | sed '1q'` in
+-	*/dev/null*)
+-	  lt_cv_path_NM="$tmp_nm -p"
++  lt_nm_to_check="${ac_tool_prefix}nm"
++  if test -n "$ac_tool_prefix" && test "$build" = "$host"; then
++    lt_nm_to_check="$lt_nm_to_check nm"
++  fi
++  for lt_tmp_nm in $lt_nm_to_check; do
++    lt_save_ifs="$IFS"; IFS=$PATH_SEPARATOR
++    for ac_dir in $PATH /usr/ccs/bin/elf /usr/ccs/bin /usr/ucb /bin; do
++      IFS="$lt_save_ifs"
++      test -z "$ac_dir" && ac_dir=.
++      tmp_nm="$ac_dir/$lt_tmp_nm"
++      if test -f "$tmp_nm" || test -f "$tmp_nm$ac_exeext" ; then
++	# Check to see if the nm accepts a BSD-compat flag.
++	# Adding the `sed 1q' prevents false positives on HP-UX, which says:
++	#   nm: unknown option "B" ignored
++	# Tru64's nm complains that /dev/null is an invalid object file
++	case `"$tmp_nm" -B /dev/null 2>&1 | sed '1q'` in
++	*/dev/null* | *'Invalid file or object type'*)
++	  lt_cv_path_NM="$tmp_nm -B"
+ 	  break
+ 	  ;;
+ 	*)
+-	  lt_cv_path_NM=${lt_cv_path_NM="$tmp_nm"} # keep the first match, but
+-	  continue # so that we can try to find one that supports BSD flags
++	  case `"$tmp_nm" -p /dev/null 2>&1 | sed '1q'` in
++	  */dev/null*)
++	    lt_cv_path_NM="$tmp_nm -p"
++	    break
++	    ;;
++	  *)
++	    lt_cv_path_NM=${lt_cv_path_NM="$tmp_nm"} # keep the first match, but
++	    continue # so that we can try to find one that supports BSD flags
++	    ;;
++	  esac
+ 	  ;;
+ 	esac
+-      esac
+-    fi
++      fi
++    done
++    IFS="$lt_save_ifs"
+   done
+-  IFS="$lt_save_ifs"
+   test -z "$lt_cv_path_NM" && lt_cv_path_NM=nm
+ fi
+ fi
+@@ -6336,6 +6360,11 @@
+   esac
+   ;;
+ 
++interix3*)
++  # PIC code is broken on Interix 3.x, that's why |\.a not |_pic\.a here
++  lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so|\.a)$'
++  ;;
++
+ irix5* | irix6* | nonstopux*)
+   case $LD in
+   *-32|*"-32 ") libmagic=32-bit;;
+@@ -6381,15 +6410,11 @@
+   lt_cv_deplibs_check_method=pass_all
+   ;;
+ 
+-sco3.2v5*)
+-  lt_cv_deplibs_check_method=pass_all
+-  ;;
+-
+ solaris*)
+   lt_cv_deplibs_check_method=pass_all
+   ;;
+ 
+-sysv4 | sysv4.2uw2* | sysv4.3* | sysv5*)
++sysv4 | sysv4.3*)
+   case $host_vendor in
+   motorola)
+     lt_cv_deplibs_check_method='file_magic ELF [0-9][0-9]*-bit [ML]SB (shared object|dynamic lib) M[0-9][0-9]* Version [0-9]'
+@@ -6410,10 +6435,13 @@
+   siemens)
+     lt_cv_deplibs_check_method=pass_all
+     ;;
++  pc)
++    lt_cv_deplibs_check_method=pass_all
++    ;;
+   esac
+   ;;
+ 
+-sysv5OpenUNIX8* | sysv5UnixWare7* | sysv5uw[78]* | unixware7* | sysv4*uw2*)
++sysv5* | sco3.2v5* | sco5v6* | unixware* | OpenUNIX* | sysv4*uw2*)
+   lt_cv_deplibs_check_method=pass_all
+   ;;
+ esac
+@@ -6431,6 +6459,9 @@
+ # If no C compiler was specified, use CC.
+ LTCC=${LTCC-"$CC"}
+ 
++# If no C compiler flags were specified, use CFLAGS.
++LTCFLAGS=${LTCFLAGS-"$CFLAGS"}
++
+ # Allow CC to be a program name with arguments.
+ compiler=$CC
+ 
+@@ -6466,7 +6497,7 @@
+   ;;
+ *-*-irix6*)
+   # Find out which ABI we are using.
+-  echo '#line 6469 "configure"' > conftest.$ac_ext
++  echo '#line 6500 "configure"' > conftest.$ac_ext
+   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+@@ -6619,6 +6650,26 @@
+     CFLAGS="$SAVE_CFLAGS"
+   fi
+   ;;
++sparc*-*solaris*)
++  # Find out which ABI we are using.
++  echo 'int i;' > conftest.$ac_ext
++  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; then
++    case `/usr/bin/file conftest.o` in
++    *64-bit*)
++      case $lt_cv_prog_gnu_ld in
++      yes*) LD="${LD-ld} -m elf64_sparc" ;;
++      *)    LD="${LD-ld} -64" ;;
++      esac
++      ;;
++    esac
++  fi
++  rm -rf conftest*
++  ;;
++
+ *-*-cygwin* | *-*-mingw* | *-*-pw32*)
+   if test -n "$ac_tool_prefix"; then
+   # Extract the first word of "${ac_tool_prefix}dlltool", so it can be a program name with args.
+@@ -7592,6 +7643,12 @@
+     lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \/ 4`
+     lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \* 3`
+     ;;
++
++  interix*)
++    # We know the value 262144 and hardcode it with a safety zone (like BSD)
++    lt_cv_sys_max_cmd_len=196608
++    ;;
++
+   osf*)
+     # Dr. Hans Ekkehard Plesser reports seeing a kernel panic running configure
+     # due to this test when exec_disable_arg_limit is 1 on Tru64. It is not
+@@ -7605,6 +7662,17 @@
+       esac
+     fi
+     ;;
++  sco3.2v5*)
++    lt_cv_sys_max_cmd_len=102400
++    ;;
++  sysv5* | sco5v6* | sysv4.2uw2*)
++    kargmax=`grep ARG_MAX /etc/conf/cf.d/stune 2>/dev/null`
++    if test -n "$kargmax"; then
++      lt_cv_sys_max_cmd_len=`echo $kargmax | sed 's/.*[ 	]//'`
++    else
++      lt_cv_sys_max_cmd_len=32768
++    fi
++    ;;
+   *)
+     # If test is not a shell built-in, we'll probably end up computing a
+     # maximum length that is only half of the actual maximum length, but
+@@ -7690,9 +7758,18 @@
+ osf*)
+   symcode='[BCDEGQRST]'
+   ;;
+-solaris* | sysv5*)
++solaris*)
+   symcode='[BDRT]'
+   ;;
++sco3.2v5*)
++  symcode='[DT]'
++  ;;
++sysv4.2uw2*)
++  symcode='[DT]'
++  ;;
++sysv5* | sco5v6* | unixware* | OpenUNIX*)
++  symcode='[ABDT]'
++  ;;
+ sysv4)
+   symcode='[DFNSTU]'
+   ;;
+@@ -8206,6 +8283,7 @@
+ test -z "$AS" && AS=as
+ test -z "$CC" && CC=cc
+ test -z "$LTCC" && LTCC=$CC
++test -z "$LTCFLAGS" && LTCFLAGS=$CFLAGS
+ test -z "$DLLTOOL" && DLLTOOL=dlltool
+ test -z "$LD" && LD=ld
+ test -z "$LN_S" && LN_S="ln -s"
+@@ -8225,10 +8303,10 @@
+ if test -n "$RANLIB"; then
+   case $host_os in
+   openbsd*)
+-    old_postinstall_cmds="\$RANLIB -t \$oldlib~$old_postinstall_cmds"
++    old_postinstall_cmds="$old_postinstall_cmds~\$RANLIB -t \$oldlib"
+     ;;
+   *)
+-    old_postinstall_cmds="\$RANLIB \$oldlib~$old_postinstall_cmds"
++    old_postinstall_cmds="$old_postinstall_cmds~\$RANLIB \$oldlib"
+     ;;
+   esac
+   old_archive_cmds="$old_archive_cmds~\$RANLIB \$oldlib"
+@@ -8427,6 +8505,9 @@
+ # If no C compiler was specified, use CC.
+ LTCC=${LTCC-"$CC"}
+ 
++# If no C compiler flags were specified, use CFLAGS.
++LTCFLAGS=${LTCFLAGS-"$CFLAGS"}
++
+ # Allow CC to be a program name with arguments.
+ compiler=$CC
+ 
+@@ -8434,82 +8515,17 @@
+ # save warnings/boilerplate of simple test code
+ ac_outfile=conftest.$ac_objext
+ printf "$lt_simple_compile_test_code" >conftest.$ac_ext
+-eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d' >conftest.err
++eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
+ _lt_compiler_boilerplate=`cat conftest.err`
+ $rm conftest*
+ 
+ ac_outfile=conftest.$ac_objext
+ printf "$lt_simple_link_test_code" >conftest.$ac_ext
+-eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d' >conftest.err
++eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
+ _lt_linker_boilerplate=`cat conftest.err`
+ $rm conftest*
+ 
+ 
+-#
+-# Check for any special shared library compilation flags.
+-#
+-lt_prog_cc_shlib=
+-if test "$GCC" = no; then
+-  case $host_os in
+-  sco3.2v5*)
+-    lt_prog_cc_shlib='-belf'
+-    ;;
+-  esac
+-fi
+-if test -n "$lt_prog_cc_shlib"; then
+-  { echo "$as_me:$LINENO: WARNING: \`$CC' requires \`$lt_prog_cc_shlib' to build shared libraries" >&5
+-echo "$as_me: WARNING: \`$CC' requires \`$lt_prog_cc_shlib' to build shared libraries" >&2;}
+-  if echo "$old_CC $old_CFLAGS " | grep "[ 	]$lt_prog_cc_shlib[ 	]" >/dev/null; then :
+-  else
+-    { echo "$as_me:$LINENO: WARNING: add \`$lt_prog_cc_shlib' to the CC or CFLAGS env variable and reconfigure" >&5
+-echo "$as_me: WARNING: add \`$lt_prog_cc_shlib' to the CC or CFLAGS env variable and reconfigure" >&2;}
+-    lt_cv_prog_cc_can_build_shared=no
+-  fi
+-fi
+-
+-
+-#
+-# Check to make sure the static flag actually works.
+-#
+-{ echo "$as_me:$LINENO: checking if $compiler static flag $lt_prog_compiler_static works" >&5
+-echo $ECHO_N "checking if $compiler static flag $lt_prog_compiler_static works... $ECHO_C" >&6; }
+-if test "${lt_prog_compiler_static_works+set}" = set; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-  lt_prog_compiler_static_works=no
+-   save_LDFLAGS="$LDFLAGS"
+-   LDFLAGS="$LDFLAGS $lt_prog_compiler_static"
+-   printf "$lt_simple_link_test_code" > conftest.$ac_ext
+-   if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
+-     # The linker can only warn and ignore the option if not recognized
+-     # So say no if there are warnings
+-     if test -s conftest.err; then
+-       # Append any errors to the config.log.
+-       cat conftest.err 1>&5
+-       $echo "X$_lt_linker_boilerplate" | $Xsed > conftest.exp
+-       $SED '/^$/d' conftest.err >conftest.er2
+-       if diff conftest.exp conftest.er2 >/dev/null; then
+-         lt_prog_compiler_static_works=yes
+-       fi
+-     else
+-       lt_prog_compiler_static_works=yes
+-     fi
+-   fi
+-   $rm conftest*
+-   LDFLAGS="$save_LDFLAGS"
+-
+-fi
+-{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works" >&5
+-echo "${ECHO_T}$lt_prog_compiler_static_works" >&6; }
+-
+-if test x"$lt_prog_compiler_static_works" = xyes; then
+-    :
+-else
+-    lt_prog_compiler_static=
+-fi
+-
+-
+-
+ 
+ lt_prog_compiler_no_builtin_flag=
+ 
+@@ -8535,17 +8551,17 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:8538: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8554: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:8542: \$? = $ac_status" >&5
++   echo "$as_me:8558: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+-     $echo "X$_lt_compiler_boilerplate" | $Xsed >conftest.exp
+-     $SED '/^$/d' conftest.err >conftest.er2
+-     if test ! -s conftest.err || diff conftest.exp conftest.er2 >/dev/null; then
++     $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
++     $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
++     if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
+        lt_cv_prog_compiler_rtti_exceptions=yes
+      fi
+    fi
+@@ -8606,6 +8622,11 @@
+       lt_prog_compiler_pic='-fno-common'
+       ;;
+ 
++    interix3*)
++      # Interix 3.x gcc -fpic/-fPIC options generate broken code.
++      # Instead, we relocate shared libraries at runtime.
++      ;;
++
+     msdosdjgpp*)
+       # Just because we use GCC doesn't mean we suddenly get shared libraries
+       # on systems that don't support them.
+@@ -8720,11 +8741,6 @@
+       lt_prog_compiler_static='-non_shared'
+       ;;
+ 
+-    sco3.2v5*)
+-      lt_prog_compiler_pic='-Kpic'
+-      lt_prog_compiler_static='-dn'
+-      ;;
+-
+     solaris*)
+       lt_prog_compiler_pic='-KPIC'
+       lt_prog_compiler_static='-Bstatic'
+@@ -8742,7 +8758,7 @@
+       lt_prog_compiler_static='-Bstatic'
+       ;;
+ 
+-    sysv4 | sysv4.2uw2* | sysv4.3* | sysv5*)
++    sysv4 | sysv4.2uw2* | sysv4.3*)
+       lt_prog_compiler_wl='-Wl,'
+       lt_prog_compiler_pic='-KPIC'
+       lt_prog_compiler_static='-Bstatic'
+@@ -8755,6 +8771,12 @@
+       fi
+       ;;
+ 
++    sysv5* | unixware* | sco3.2v5* | sco5v6* | OpenUNIX*)
++      lt_prog_compiler_wl='-Wl,'
++      lt_prog_compiler_pic='-KPIC'
++      lt_prog_compiler_static='-Bstatic'
++      ;;
++
+     unicos*)
+       lt_prog_compiler_wl='-Wl,'
+       lt_prog_compiler_can_build_shared=no
+@@ -8797,17 +8819,17 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:8800: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8822: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:8804: \$? = $ac_status" >&5
++   echo "$as_me:8826: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+-     $echo "X$_lt_compiler_boilerplate" | $Xsed >conftest.exp
+-     $SED '/^$/d' conftest.err >conftest.er2
+-     if test ! -s conftest.err || diff conftest.exp conftest.er2 >/dev/null; then
++     $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
++     $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
++     if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
+        lt_prog_compiler_pic_works=yes
+      fi
+    fi
+@@ -8838,6 +8860,48 @@
+     ;;
+ esac
+ 
++#
++# Check to make sure the static flag actually works.
++#
++wl=$lt_prog_compiler_wl eval lt_tmp_static_flag=\"$lt_prog_compiler_static\"
++{ echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
++echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
++if test "${lt_prog_compiler_static_works+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  lt_prog_compiler_static_works=no
++   save_LDFLAGS="$LDFLAGS"
++   LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
++   printf "$lt_simple_link_test_code" > conftest.$ac_ext
++   if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
++     # The linker can only warn and ignore the option if not recognized
++     # So say no if there are warnings
++     if test -s conftest.err; then
++       # Append any errors to the config.log.
++       cat conftest.err 1>&5
++       $echo "X$_lt_linker_boilerplate" | $Xsed -e '/^$/d' > conftest.exp
++       $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
++       if diff conftest.exp conftest.er2 >/dev/null; then
++         lt_prog_compiler_static_works=yes
++       fi
++     else
++       lt_prog_compiler_static_works=yes
++     fi
++   fi
++   $rm conftest*
++   LDFLAGS="$save_LDFLAGS"
++
++fi
++{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works" >&5
++echo "${ECHO_T}$lt_prog_compiler_static_works" >&6; }
++
++if test x"$lt_prog_compiler_static_works" = xyes; then
++    :
++else
++    lt_prog_compiler_static=
++fi
++
++
+ { echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
+ echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6; }
+ if test "${lt_cv_prog_compiler_c_o+set}" = set; then
+@@ -8859,18 +8923,18 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:8862: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8926: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:8866: \$? = $ac_status" >&5
++   echo "$as_me:8930: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings
+-     $echo "X$_lt_compiler_boilerplate" | $Xsed > out/conftest.exp
+-     $SED '/^$/d' out/conftest.err >out/conftest.er2
+-     if test ! -s out/conftest.err || diff out/conftest.exp out/conftest.er2 >/dev/null; then
++     $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
++     $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
++     if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
+        lt_cv_prog_compiler_c_o=yes
+      fi
+    fi
+@@ -8970,6 +9034,10 @@
+       with_gnu_ld=no
+     fi
+     ;;
++  interix*)
++    # we just hope/assume this is gcc and not c89 (= MSVC++)
++    with_gnu_ld=yes
++    ;;
+   openbsd*)
+     with_gnu_ld=no
+     ;;
+@@ -9054,7 +9122,7 @@
+       export_symbols_cmds='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS] /s/.* \([^ ]*\)/\1 DATA/'\'' | $SED -e '\''/^[AITW] /s/.* //'\'' | sort | uniq > $export_symbols'
+ 
+       if $LD --help 2>&1 | grep 'auto-import' > /dev/null; then
+-        archive_cmds='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--image-base=0x10000000 ${wl}--out-implib,$lib'
++        archive_cmds='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
+ 	# If the export-symbols file already is a .def file (1st line
+ 	# is EXPORTS), use it as is; otherwise, prepend...
+ 	archive_expsym_cmds='if test "x`$SED 1q $export_symbols`" = xEXPORTS; then
+@@ -9063,12 +9131,27 @@
+ 	  echo EXPORTS > $output_objdir/$soname.def;
+ 	  cat $export_symbols >> $output_objdir/$soname.def;
+ 	fi~
+-	$CC -shared $output_objdir/$soname.def $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--image-base=0x10000000  ${wl}--out-implib,$lib'
++	$CC -shared $output_objdir/$soname.def $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
+       else
+ 	ld_shlibs=no
+       fi
+       ;;
+ 
++    interix3*)
++      hardcode_direct=no
++      hardcode_shlibpath_var=no
++      hardcode_libdir_flag_spec='${wl}-rpath,$libdir'
++      export_dynamic_flag_spec='${wl}-E'
++      # Hack: On Interix 3.x, we cannot compile PIC because of a broken gcc.
++      # Instead, shared libraries are loaded at an image base (0x10000000 by
++      # default) and relocated if they conflict, which is a slow very memory
++      # consuming and fragmenting process.  To avoid this, we pick a random,
++      # 256 KiB-aligned image base between 0x50000000 and 0x6FFC0000 at link
++      # time.  Moving up from 0x10000000 also allows more sbrk(2) space.
++      archive_cmds='$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
++      archive_expsym_cmds='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
++      ;;
++
+     linux*)
+       if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
+ 	tmp_addflag=
+@@ -9110,7 +9193,7 @@
+       fi
+       ;;
+ 
+-    solaris* | sysv5*)
++    solaris*)
+       if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
+ 	ld_shlibs=no
+ 	cat <<EOF 1>&2
+@@ -9131,6 +9214,33 @@
+       fi
+       ;;
+ 
++    sysv5* | sco3.2v5* | sco5v6* | unixware* | OpenUNIX*)
++      case `$LD -v 2>&1` in
++        *\ [01].* | *\ 2.[0-9].* | *\ 2.1[0-5].*)
++	ld_shlibs=no
++	cat <<_LT_EOF 1>&2
++
++*** Warning: Releases of the GNU linker prior to 2.16.91.0.3 can not
++*** reliably create shared libraries on SCO systems.  Therefore, libtool
++*** is disabling shared libraries support.  We urge you to upgrade GNU
++*** binutils to release 2.16.91.0.3 or newer.  Another option is to modify
++*** your PATH or compiler configuration so that the native linker is
++*** used, and then restart.
++
++_LT_EOF
++	;;
++	*)
++	  if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
++	    hardcode_libdir_flag_spec='`test -z "$SCOABSPATH" && echo ${wl}-rpath,$libdir`'
++	    archive_cmds='$CC -shared $libobjs $deplibs $compiler_flags ${wl}-soname,\${SCOABSPATH:+${install_libdir}/}$soname -o $lib'
++	    archive_expsym_cmds='$CC -shared $libobjs $deplibs $compiler_flags ${wl}-soname,\${SCOABSPATH:+${install_libdir}/}$soname,-retain-symbols-file,$export_symbols -o $lib'
++	  else
++	    ld_shlibs=no
++	  fi
++	;;
++      esac
++      ;;
++
+     sunos4*)
+       archive_cmds='$LD -assert pure-text -Bshareable -o $lib $libobjs $deplibs $linker_flags'
+       wlarc=
+@@ -9164,7 +9274,7 @@
+       # Note: this linker hardcodes the directories in LIBPATH if there
+       # are no directories specified by -L.
+       hardcode_minus_L=yes
+-      if test "$GCC" = yes && test -z "$link_static_flag"; then
++      if test "$GCC" = yes && test -z "$lt_prog_compiler_static"; then
+ 	# Neither direct hardcoding nor static linking is supported with a
+ 	# broken collect2.
+ 	hardcode_direct=unsupported
+@@ -9198,6 +9308,7 @@
+   	    break
+   	  fi
+ 	  done
++	  ;;
+ 	esac
+ 
+ 	exp_sym_flag='-bexport'
+@@ -9235,6 +9346,7 @@
+   	  hardcode_libdir_flag_spec='-L$libdir'
+   	  hardcode_libdir_separator=
+ 	  fi
++	  ;;
+ 	esac
+ 	shared_flag='-shared'
+ 	if test "$aix_use_runtimelinking" = yes; then
+@@ -9247,11 +9359,11 @@
+   	# chokes on -Wl,-G. The following line is correct:
+ 	  shared_flag='-G'
+ 	else
+-  	if test "$aix_use_runtimelinking" = yes; then
++	  if test "$aix_use_runtimelinking" = yes; then
+ 	    shared_flag='${wl}-G'
+ 	  else
+ 	    shared_flag='${wl}-bM:SRE'
+-  	fi
++	  fi
+ 	fi
+       fi
+ 
+@@ -9314,12 +9426,12 @@
+ if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
+ 
+        hardcode_libdir_flag_spec='${wl}-blibpath:$libdir:'"$aix_libpath"
+-	archive_expsym_cmds="\$CC"' -o $output_objdir/$soname $libobjs $deplibs $compiler_flags `if test "x${allow_undefined_flag}" != "x"; then echo "${wl}${allow_undefined_flag}"; else :; fi` '"\${wl}$no_entry_flag \${wl}$exp_sym_flag:\$export_symbols $shared_flag"
++	archive_expsym_cmds="\$CC"' -o $output_objdir/$soname $libobjs $deplibs '"\${wl}$no_entry_flag"' $compiler_flags `if test "x${allow_undefined_flag}" != "x"; then echo "${wl}${allow_undefined_flag}"; else :; fi` '"\${wl}$exp_sym_flag:\$export_symbols $shared_flag"
+        else
+ 	if test "$host_cpu" = ia64; then
+ 	  hardcode_libdir_flag_spec='${wl}-R $libdir:/usr/lib:/lib'
+ 	  allow_undefined_flag="-z nodefs"
+-	  archive_expsym_cmds="\$CC $shared_flag"' -o $output_objdir/$soname $libobjs $deplibs $compiler_flags ${wl}${allow_undefined_flag} '"\${wl}$no_entry_flag \${wl}$exp_sym_flag:\$export_symbols"
++	  archive_expsym_cmds="\$CC $shared_flag"' -o $output_objdir/$soname $libobjs $deplibs '"\${wl}$no_entry_flag"' $compiler_flags ${wl}${allow_undefined_flag} '"\${wl}$exp_sym_flag:\$export_symbols"
+ 	else
+ 	 # Determine the default libpath from the value encoded in an empty executable.
+ 	 cat >conftest.$ac_ext <<_ACEOF
+@@ -9377,13 +9489,11 @@
+ 	  # -berok will link without error, but may produce a broken library.
+ 	  no_undefined_flag=' ${wl}-bernotok'
+ 	  allow_undefined_flag=' ${wl}-berok'
+-	  # -bexpall does not export symbols beginning with underscore (_)
+-	  always_export_symbols=yes
+ 	  # Exported symbols can be pulled into shared objects from archives
+-	  whole_archive_flag_spec=' '
++	  whole_archive_flag_spec='$convenience'
+ 	  archive_cmds_need_lc=yes
+ 	  # This is similar to how AIX traditionally builds its shared libraries.
+-	  archive_expsym_cmds="\$CC $shared_flag"' -o $output_objdir/$soname $libobjs $deplibs $compiler_flags ${wl}-bE:$export_symbols ${wl}-bnoentry${allow_undefined_flag}~$AR $AR_FLAGS $output_objdir/$libname$release.a $output_objdir/$soname'
++	  archive_expsym_cmds="\$CC $shared_flag"' -o $output_objdir/$soname $libobjs $deplibs ${wl}-bnoentry $compiler_flags ${wl}-bE:$export_symbols${allow_undefined_flag}~$AR $AR_FLAGS $output_objdir/$libname$release.a $output_objdir/$soname'
+ 	fi
+       fi
+       ;;
+@@ -9524,47 +9634,62 @@
+       export_dynamic_flag_spec='${wl}-E'
+       ;;
+ 
+-    hpux10* | hpux11*)
++    hpux10*)
++      if test "$GCC" = yes -a "$with_gnu_ld" = no; then
++	archive_cmds='$CC -shared -fPIC ${wl}+h ${wl}$soname ${wl}+b ${wl}$install_libdir -o $lib $libobjs $deplibs $compiler_flags'
++      else
++	archive_cmds='$LD -b +h $soname +b $install_libdir -o $lib $libobjs $deplibs $linker_flags'
++      fi
++      if test "$with_gnu_ld" = no; then
++	hardcode_libdir_flag_spec='${wl}+b ${wl}$libdir'
++	hardcode_libdir_separator=:
++
++	hardcode_direct=yes
++	export_dynamic_flag_spec='${wl}-E'
++
++	# hardcode_minus_L: Not really in the search PATH,
++	# but as the default location of the library.
++	hardcode_minus_L=yes
++      fi
++      ;;
++
++    hpux11*)
+       if test "$GCC" = yes -a "$with_gnu_ld" = no; then
+ 	case $host_cpu in
+-	hppa*64*|ia64*)
++	hppa*64*)
+ 	  archive_cmds='$CC -shared ${wl}+h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
+ 	  ;;
++	ia64*)
++	  archive_cmds='$CC -shared ${wl}+h ${wl}$soname ${wl}+nodefaultrpath -o $lib $libobjs $deplibs $compiler_flags'
++	  ;;
+ 	*)
+ 	  archive_cmds='$CC -shared -fPIC ${wl}+h ${wl}$soname ${wl}+b ${wl}$install_libdir -o $lib $libobjs $deplibs $compiler_flags'
+ 	  ;;
+ 	esac
+       else
+ 	case $host_cpu in
+-	hppa*64*|ia64*)
+-	  archive_cmds='$LD -b +h $soname -o $lib $libobjs $deplibs $linker_flags'
++	hppa*64*)
++	  archive_cmds='$CC -b ${wl}+h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
++	  ;;
++	ia64*)
++	  archive_cmds='$CC -b ${wl}+h ${wl}$soname ${wl}+nodefaultrpath -o $lib $libobjs $deplibs $compiler_flags'
+ 	  ;;
+ 	*)
+-	  archive_cmds='$LD -b +h $soname +b $install_libdir -o $lib $libobjs $deplibs $linker_flags'
++	  archive_cmds='$CC -b ${wl}+h ${wl}$soname ${wl}+b ${wl}$install_libdir -o $lib $libobjs $deplibs $compiler_flags'
+ 	  ;;
+ 	esac
+       fi
+       if test "$with_gnu_ld" = no; then
++	hardcode_libdir_flag_spec='${wl}+b ${wl}$libdir'
++	hardcode_libdir_separator=:
++
+ 	case $host_cpu in
+-	hppa*64*)
+-	  hardcode_libdir_flag_spec='${wl}+b ${wl}$libdir'
++	hppa*64*|ia64*)
+ 	  hardcode_libdir_flag_spec_ld='+b $libdir'
+-	  hardcode_libdir_separator=:
+ 	  hardcode_direct=no
+ 	  hardcode_shlibpath_var=no
+ 	  ;;
+-	ia64*)
+-	  hardcode_libdir_flag_spec='-L$libdir'
+-	  hardcode_direct=no
+-	  hardcode_shlibpath_var=no
+-
+-	  # hardcode_minus_L: Not really in the search PATH,
+-	  # but as the default location of the library.
+-	  hardcode_minus_L=yes
+-	  ;;
+ 	*)
+-	  hardcode_libdir_flag_spec='${wl}+b ${wl}$libdir'
+-	  hardcode_libdir_separator=:
+ 	  hardcode_direct=yes
+ 	  export_dynamic_flag_spec='${wl}-E'
+ 
+@@ -9666,14 +9791,6 @@
+       hardcode_libdir_separator=:
+       ;;
+ 
+-    sco3.2v5*)
+-      archive_cmds='$LD -G -h $soname -o $lib $libobjs $deplibs $linker_flags'
+-      hardcode_shlibpath_var=no
+-      export_dynamic_flag_spec='${wl}-Bexport'
+-      runpath_var=LD_RUN_PATH
+-      hardcode_runpath_var=yes
+-      ;;
+-
+     solaris*)
+       no_undefined_flag=' -z text'
+       if test "$GCC" = yes; then
+@@ -9759,36 +9876,45 @@
+       fi
+       ;;
+ 
+-    sysv4.2uw2*)
+-      archive_cmds='$LD -G -o $lib $libobjs $deplibs $linker_flags'
+-      hardcode_direct=yes
+-      hardcode_minus_L=no
++    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[01].[10]* | unixware7*)
++      no_undefined_flag='${wl}-z,text'
++      archive_cmds_need_lc=no
+       hardcode_shlibpath_var=no
+-      hardcode_runpath_var=yes
+-      runpath_var=LD_RUN_PATH
+-      ;;
++      runpath_var='LD_RUN_PATH'
+ 
+-   sysv5OpenUNIX8* | sysv5UnixWare7* |  sysv5uw[78]* | unixware7*)
+-      no_undefined_flag='${wl}-z ${wl}text'
+       if test "$GCC" = yes; then
+-	archive_cmds='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
++	archive_cmds='$CC -shared ${wl}-h,$soname -o $lib $libobjs $deplibs $compiler_flags'
++	archive_expsym_cmds='$CC -shared ${wl}-Bexport:$export_symbols ${wl}-h,$soname -o $lib $libobjs $deplibs $compiler_flags'
+       else
+-	archive_cmds='$CC -G ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
++	archive_cmds='$CC -G ${wl}-h,$soname -o $lib $libobjs $deplibs $compiler_flags'
++	archive_expsym_cmds='$CC -G ${wl}-Bexport:$export_symbols ${wl}-h,$soname -o $lib $libobjs $deplibs $compiler_flags'
+       fi
+-      runpath_var='LD_RUN_PATH'
+-      hardcode_shlibpath_var=no
+       ;;
+ 
+-    sysv5*)
+-      no_undefined_flag=' -z text'
+-      # $CC -shared without GNU ld will not create a library from C++
+-      # object files and a static libstdc++, better avoid it by now
+-      archive_cmds='$LD -G${allow_undefined_flag} -h $soname -o $lib $libobjs $deplibs $linker_flags'
+-      archive_expsym_cmds='$echo "{ global:" > $lib.exp~cat $export_symbols | $SED -e "s/\(.*\)/\1;/" >> $lib.exp~$echo "local: *; };" >> $lib.exp~
+-  		$LD -G${allow_undefined_flag} -M $lib.exp -h $soname -o $lib $libobjs $deplibs $linker_flags~$rm $lib.exp'
+-      hardcode_libdir_flag_spec=
++    sysv5* | sco3.2v5* | sco5v6*)
++      # Note: We can NOT use -z defs as we might desire, because we do not
++      # link with -lc, and that would cause any symbols used from libc to
++      # always be unresolved, which means just about no library would
++      # ever link correctly.  If we're not using GNU ld we use -z text
++      # though, which does catch some bad symbols but isn't as heavy-handed
++      # as -z defs.
++      no_undefined_flag='${wl}-z,text'
++      allow_undefined_flag='${wl}-z,nodefs'
++      archive_cmds_need_lc=no
+       hardcode_shlibpath_var=no
++      hardcode_libdir_flag_spec='`test -z "$SCOABSPATH" && echo ${wl}-R,$libdir`'
++      hardcode_libdir_separator=':'
++      link_all_deplibs=yes
++      export_dynamic_flag_spec='${wl}-Bexport'
+       runpath_var='LD_RUN_PATH'
++
++      if test "$GCC" = yes; then
++	archive_cmds='$CC -shared ${wl}-h,\${SCOABSPATH:+${install_libdir}/}$soname -o $lib $libobjs $deplibs $compiler_flags'
++	archive_expsym_cmds='$CC -shared ${wl}-Bexport:$export_symbols ${wl}-h,\${SCOABSPATH:+${install_libdir}/}$soname -o $lib $libobjs $deplibs $compiler_flags'
++      else
++	archive_cmds='$CC -G ${wl}-h,\${SCOABSPATH:+${install_libdir}/}$soname -o $lib $libobjs $deplibs $compiler_flags'
++	archive_expsym_cmds='$CC -G ${wl}-Bexport:$export_symbols ${wl}-h,\${SCOABSPATH:+${install_libdir}/}$soname -o $lib $libobjs $deplibs $compiler_flags'
++      fi
+       ;;
+ 
+     uts4*)
+@@ -9807,11 +9933,6 @@
+ echo "${ECHO_T}$ld_shlibs" >&6; }
+ test "$ld_shlibs" = no && can_build_shared=no
+ 
+-variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
+-if test "$GCC" = yes; then
+-  variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
+-fi
+-
+ #
+ # Do we need to explicitly link libc?
+ #
+@@ -9844,6 +9965,7 @@
+         libobjs=conftest.$ac_objext
+         deplibs=
+         wl=$lt_prog_compiler_wl
++	pic_flag=$lt_prog_compiler_pic
+         compiler_flags=-v
+         linker_flags=-v
+         verstring=
+@@ -10125,10 +10247,15 @@
+     shlibpath_overrides_runpath=yes
+     hardcode_into_libs=yes
+     ;;
+-  *) # from 3.2 on
++  freebsd3.[2-9]* | freebsdelf3.[2-9]* | \
++  freebsd4.[0-5] | freebsdelf4.[0-5] | freebsd4.1.1 | freebsdelf4.1.1)
+     shlibpath_overrides_runpath=no
+     hardcode_into_libs=yes
+     ;;
++  freebsd*) # from 4.6 on
++    shlibpath_overrides_runpath=yes
++    hardcode_into_libs=yes
++    ;;
+   esac
+   ;;
+ 
+@@ -10188,6 +10315,18 @@
+   postinstall_cmds='chmod 555 $lib'
+   ;;
+ 
++interix3*)
++  version_type=linux
++  need_lib_prefix=no
++  need_version=no
++  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
++  soname_spec='${libname}${release}${shared_ext}$major'
++  dynamic_linker='Interix 3.x ld.so.1 (PE, like ELF)'
++  shlibpath_var=LD_LIBRARY_PATH
++  shlibpath_overrides_runpath=no
++  hardcode_into_libs=yes
++  ;;
++
+ irix5* | irix6* | nonstopux*)
+   case $host_os in
+     nonstopux*) version_type=nonstopux ;;
+@@ -10309,6 +10448,7 @@
+ 
+ openbsd*)
+   version_type=sunos
++  sys_lib_dlsearch_path_spec="/usr/lib"
+   need_lib_prefix=no
+   # Some older versions of OpenBSD (3.3 at least) *do* need versioned libs.
+   case $host_os in
+@@ -10352,13 +10492,6 @@
+   sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
+   ;;
+ 
+-sco3.2v5*)
+-  version_type=osf
+-  soname_spec='${libname}${release}${shared_ext}$major'
+-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major $libname${shared_ext}'
+-  shlibpath_var=LD_LIBRARY_PATH
+-  ;;
+-
+ solaris*)
+   version_type=linux
+   need_lib_prefix=no
+@@ -10384,7 +10517,7 @@
+   need_version=yes
+   ;;
+ 
+-sysv4 | sysv4.2uw2* | sysv4.3* | sysv5*)
++sysv4 | sysv4.3*)
+   version_type=linux
+   library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major $libname${shared_ext}'
+   soname_spec='${libname}${release}${shared_ext}$major'
+@@ -10417,6 +10550,29 @@
+   fi
+   ;;
+ 
++sysv5* | sco3.2v5* | sco5v6* | unixware* | OpenUNIX* | sysv4*uw2*)
++  version_type=freebsd-elf
++  need_lib_prefix=no
++  need_version=no
++  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
++  soname_spec='${libname}${release}${shared_ext}$major'
++  shlibpath_var=LD_LIBRARY_PATH
++  hardcode_into_libs=yes
++  if test "$with_gnu_ld" = yes; then
++    sys_lib_search_path_spec='/usr/local/lib /usr/gnu/lib /usr/ccs/lib /usr/lib /lib'
++    shlibpath_overrides_runpath=no
++  else
++    sys_lib_search_path_spec='/usr/ccs/lib /usr/lib'
++    shlibpath_overrides_runpath=yes
++    case $host_os in
++      sco3.2v5*)
++        sys_lib_search_path_spec="$sys_lib_search_path_spec /lib"
++	;;
++    esac
++  fi
++  sys_lib_dlsearch_path_spec='/usr/lib'
++  ;;
++
+ uts4*)
+   version_type=linux
+   library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major $libname${shared_ext}'
+@@ -10432,6 +10588,11 @@
+ echo "${ECHO_T}$dynamic_linker" >&6; }
+ test "$dynamic_linker" = no && can_build_shared=no
+ 
++variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
++if test "$GCC" = yes; then
++  variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
++fi
++
+ { echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
+ echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6; }
+ hardcode_action=
+@@ -11054,7 +11215,7 @@
+     test "x$ac_cv_header_dlfcn_h" = xyes && CPPFLAGS="$CPPFLAGS -DHAVE_DLFCN_H"
+ 
+     save_LDFLAGS="$LDFLAGS"
+-    eval LDFLAGS=\"\$LDFLAGS $export_dynamic_flag_spec\"
++    wl=$lt_prog_compiler_wl eval LDFLAGS=\"\$LDFLAGS $export_dynamic_flag_spec\"
+ 
+     save_LIBS="$LIBS"
+     LIBS="$lt_cv_dlopen_libs $LIBS"
+@@ -11070,7 +11231,7 @@
+   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+   lt_status=$lt_dlunknown
+   cat > conftest.$ac_ext <<EOF
+-#line 11073 "configure"
++#line 11234 "configure"
+ #include "confdefs.h"
+ 
+ #if HAVE_DLFCN_H
+@@ -11127,6 +11288,8 @@
+       else if (dlsym( self,"_fnord")) status = $lt_dlneed_uscore;
+       /* dlclose (self); */
+     }
++  else
++    puts (dlerror ());
+ 
+     exit (status);
+ }
+@@ -11141,7 +11304,7 @@
+     case x$lt_status in
+       x$lt_dlno_uscore) lt_cv_dlopen_self=yes ;;
+       x$lt_dlneed_uscore) lt_cv_dlopen_self=yes ;;
+-      x$lt_unknown|x*) lt_cv_dlopen_self=no ;;
++      x$lt_dlunknown|x*) lt_cv_dlopen_self=no ;;
+     esac
+   else :
+     # compilation failed
+@@ -11156,7 +11319,7 @@
+ echo "${ECHO_T}$lt_cv_dlopen_self" >&6; }
+ 
+     if test "x$lt_cv_dlopen_self" = xyes; then
+-      LDFLAGS="$LDFLAGS $link_static_flag"
++      wl=$lt_prog_compiler_wl eval LDFLAGS=\"\$LDFLAGS $lt_prog_compiler_static\"
+       { echo "$as_me:$LINENO: checking whether a statically linked program can dlopen itself" >&5
+ echo $ECHO_N "checking whether a statically linked program can dlopen itself... $ECHO_C" >&6; }
+ if test "${lt_cv_dlopen_self_static+set}" = set; then
+@@ -11168,7 +11331,7 @@
+   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+   lt_status=$lt_dlunknown
+   cat > conftest.$ac_ext <<EOF
+-#line 11171 "configure"
++#line 11334 "configure"
+ #include "confdefs.h"
+ 
+ #if HAVE_DLFCN_H
+@@ -11225,6 +11388,8 @@
+       else if (dlsym( self,"_fnord")) status = $lt_dlneed_uscore;
+       /* dlclose (self); */
+     }
++  else
++    puts (dlerror ());
+ 
+     exit (status);
+ }
+@@ -11239,7 +11404,7 @@
+     case x$lt_status in
+       x$lt_dlno_uscore) lt_cv_dlopen_self_static=yes ;;
+       x$lt_dlneed_uscore) lt_cv_dlopen_self_static=yes ;;
+-      x$lt_unknown|x*) lt_cv_dlopen_self_static=no ;;
++      x$lt_dlunknown|x*) lt_cv_dlopen_self_static=no ;;
+     esac
+   else :
+     # compilation failed
+@@ -11272,7 +11437,7 @@
+ fi
+ 
+ 
+-# Report which librarie types wil actually be built
++# Report which library types will actually be built
+ { echo "$as_me:$LINENO: checking if libtool supports shared libraries" >&5
+ echo $ECHO_N "checking if libtool supports shared libraries... $ECHO_C" >&6; }
+ { echo "$as_me:$LINENO: result: $can_build_shared" >&5
+@@ -11322,7 +11487,7 @@
+   # Now quote all the things that may contain metacharacters while being
+   # careful not to overquote the AC_SUBSTed values.  We take copies of the
+   # variables and quote the copies for generation of the libtool script.
+-  for var in echo old_CC old_CFLAGS AR AR_FLAGS EGREP RANLIB LN_S LTCC NM \
++  for var in echo old_CC old_CFLAGS AR AR_FLAGS EGREP RANLIB LN_S LTCC LTCFLAGS NM \
+     SED SHELL STRIP \
+     libname_spec library_names_spec soname_spec extract_expsyms_cmds \
+     old_striplib striplib file_magic_cmd finish_cmds finish_eval \
+@@ -11488,6 +11653,9 @@
+ # A C compiler.
+ LTCC=$lt_LTCC
+ 
++# LTCC compiler flags.
++LTCFLAGS=$lt_LTCFLAGS
++
+ # A language-specific compiler.
+ CC=$lt_compiler
+ 
+@@ -11818,6 +11986,9 @@
+ echo "$as_me: WARNING: using \`LTCC=$LTCC', extracted from \`$ofile'" >&2;}
+     fi
+   fi
++  if test -z "$LTCFLAGS"; then
++    eval "`$SHELL ${ofile} --config | grep '^LTCFLAGS='`"
++  fi
+ 
+   # Extract list of available tagged configurations in $ofile.
+   # Note that this assumes the entire list is on one line.
+@@ -11894,6 +12065,9 @@
+ # If no C compiler was specified, use CC.
+ LTCC=${LTCC-"$CC"}
+ 
++# If no C compiler flags were specified, use CFLAGS.
++LTCFLAGS=${LTCFLAGS-"$CFLAGS"}
++
+ # Allow CC to be a program name with arguments.
+ compiler=$CC
+ 
+@@ -11901,13 +12075,13 @@
+ # save warnings/boilerplate of simple test code
+ ac_outfile=conftest.$ac_objext
+ printf "$lt_simple_compile_test_code" >conftest.$ac_ext
+-eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d' >conftest.err
++eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
+ _lt_compiler_boilerplate=`cat conftest.err`
+ $rm conftest*
+ 
+ ac_outfile=conftest.$ac_objext
+ printf "$lt_simple_link_test_code" >conftest.$ac_ext
+-eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d' >conftest.err
++eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
+ _lt_linker_boilerplate=`cat conftest.err`
+ $rm conftest*
+ 
+@@ -11942,7 +12116,7 @@
+   # Now quote all the things that may contain metacharacters while being
+   # careful not to overquote the AC_SUBSTed values.  We take copies of the
+   # variables and quote the copies for generation of the libtool script.
+-  for var in echo old_CC old_CFLAGS AR AR_FLAGS EGREP RANLIB LN_S LTCC NM \
++  for var in echo old_CC old_CFLAGS AR AR_FLAGS EGREP RANLIB LN_S LTCC LTCFLAGS NM \
+     SED SHELL STRIP \
+     libname_spec library_names_spec soname_spec extract_expsyms_cmds \
+     old_striplib striplib file_magic_cmd finish_cmds finish_eval \
+@@ -12060,6 +12234,9 @@
+ # A C compiler.
+ LTCC=$lt_LTCC
+ 
++# LTCC compiler flags.
++LTCFLAGS=$lt_LTCFLAGS
++
+ # A language-specific compiler.
+ CC=$lt_compiler_RC
+ 
+@@ -13555,6 +13732,7 @@
+        depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
+        $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
+          >/dev/null 2>conftest.err &&
++       grep sub/conftst1.h sub/conftest.Po > /dev/null 2>&1 &&
+        grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
+        grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
+        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
+@@ -13584,9 +13762,7 @@
+ echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; }
+ CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
+ 
+-
+-
+-if
++ if
+   test "x$enable_dependency_tracking" != xno \
+   && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
+   am__fastdepCC_TRUE=
+@@ -28158,7 +28334,536 @@
+ 
+ 	ol_cv_lib_db=no
+ 
+-if test $ol_cv_bdb_major = 4 ; then
++if test $ol_cv_bdb_major = 5 ; then
++	if test $ol_cv_lib_db = no ; then
++	{ echo "$as_me:$LINENO: checking for Berkeley DB link (-ldb-5.$ol_cv_bdb_minor)" >&5
++echo $ECHO_N "checking for Berkeley DB link (-ldb-5.$ol_cv_bdb_minor)... $ECHO_C" >&6; }
++if test "${ol_cv_db_db_5_dot_m+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++
++	ol_DB_LIB=-ldb-5.$ol_cv_bdb_minor
++	ol_LIBS=$LIBS
++	LIBS="$ol_DB_LIB $LTHREAD_LIBS $LIBS"
++
++	cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++#ifdef HAVE_DB_185_H
++# include <db_185.h>
++#else
++# include <db.h>
++#endif
++
++#ifndef DB_VERSION_MAJOR
++# define DB_VERSION_MAJOR 1
++#endif
++
++#ifndef NULL
++#define NULL ((void*)0)
++#endif
++
++int
++main ()
++{
++
++#if DB_VERSION_MAJOR > 2
++	db_env_create( NULL, 0 );
++#elif DB_VERSION_MAJOR > 1
++	db_appexit( NULL );
++#else
++	(void) dbopen( NULL, 0, 0, 0, NULL);
++#endif
++
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_link") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest$ac_exeext &&
++       $as_test_x conftest$ac_exeext; then
++  ol_cv_db_db_5_dot_m=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++	ol_cv_db_db_5_dot_m=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++      conftest$ac_exeext conftest.$ac_ext
++
++	LIBS="$ol_LIBS"
++
++fi
++{ echo "$as_me:$LINENO: result: $ol_cv_db_db_5_dot_m" >&5
++echo "${ECHO_T}$ol_cv_db_db_5_dot_m" >&6; }
++
++	if test $ol_cv_db_db_5_dot_m = yes ; then
++		ol_cv_lib_db=-ldb-5.$ol_cv_bdb_minor
++	fi
++fi
++
++	if test $ol_cv_lib_db = no ; then
++	{ echo "$as_me:$LINENO: checking for Berkeley DB link (-ldb5$ol_cv_bdb_minor)" >&5
++echo $ECHO_N "checking for Berkeley DB link (-ldb5$ol_cv_bdb_minor)... $ECHO_C" >&6; }
++if test "${ol_cv_db_db5m+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++
++	ol_DB_LIB=-ldb5$ol_cv_bdb_minor
++	ol_LIBS=$LIBS
++	LIBS="$ol_DB_LIB $LTHREAD_LIBS $LIBS"
++
++	cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++#ifdef HAVE_DB_185_H
++# include <db_185.h>
++#else
++# include <db.h>
++#endif
++
++#ifndef DB_VERSION_MAJOR
++# define DB_VERSION_MAJOR 1
++#endif
++
++#ifndef NULL
++#define NULL ((void*)0)
++#endif
++
++int
++main ()
++{
++
++#if DB_VERSION_MAJOR > 2
++	db_env_create( NULL, 0 );
++#elif DB_VERSION_MAJOR > 1
++	db_appexit( NULL );
++#else
++	(void) dbopen( NULL, 0, 0, 0, NULL);
++#endif
++
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_link") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest$ac_exeext &&
++       $as_test_x conftest$ac_exeext; then
++  ol_cv_db_db5m=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++	ol_cv_db_db5m=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++      conftest$ac_exeext conftest.$ac_ext
++
++	LIBS="$ol_LIBS"
++
++fi
++{ echo "$as_me:$LINENO: result: $ol_cv_db_db5m" >&5
++echo "${ECHO_T}$ol_cv_db_db5m" >&6; }
++
++	if test $ol_cv_db_db5m = yes ; then
++		ol_cv_lib_db=-ldb5$ol_cv_bdb_minor
++	fi
++fi
++
++	if test $ol_cv_lib_db = no ; then
++	{ echo "$as_me:$LINENO: checking for Berkeley DB link (-ldb-5$ol_cv_bdb_minor)" >&5
++echo $ECHO_N "checking for Berkeley DB link (-ldb-5$ol_cv_bdb_minor)... $ECHO_C" >&6; }
++if test "${ol_cv_db_db_5m+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++
++	ol_DB_LIB=-ldb-5$ol_cv_bdb_minor
++	ol_LIBS=$LIBS
++	LIBS="$ol_DB_LIB $LTHREAD_LIBS $LIBS"
++
++	cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++#ifdef HAVE_DB_185_H
++# include <db_185.h>
++#else
++# include <db.h>
++#endif
++
++#ifndef DB_VERSION_MAJOR
++# define DB_VERSION_MAJOR 1
++#endif
++
++#ifndef NULL
++#define NULL ((void*)0)
++#endif
++
++int
++main ()
++{
++
++#if DB_VERSION_MAJOR > 2
++	db_env_create( NULL, 0 );
++#elif DB_VERSION_MAJOR > 1
++	db_appexit( NULL );
++#else
++	(void) dbopen( NULL, 0, 0, 0, NULL);
++#endif
++
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_link") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest$ac_exeext &&
++       $as_test_x conftest$ac_exeext; then
++  ol_cv_db_db_5m=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++	ol_cv_db_db_5m=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++      conftest$ac_exeext conftest.$ac_ext
++
++	LIBS="$ol_LIBS"
++
++fi
++{ echo "$as_me:$LINENO: result: $ol_cv_db_db_5m" >&5
++echo "${ECHO_T}$ol_cv_db_db_5m" >&6; }
++
++	if test $ol_cv_db_db_5m = yes ; then
++		ol_cv_lib_db=-ldb-5$ol_cv_bdb_minor
++	fi
++fi
++
++	if test $ol_cv_lib_db = no ; then
++	{ echo "$as_me:$LINENO: checking for Berkeley DB link (-ldb-5-$ol_cv_bdb_minor)" >&5
++echo $ECHO_N "checking for Berkeley DB link (-ldb-5-$ol_cv_bdb_minor)... $ECHO_C" >&6; }
++if test "${ol_cv_db_db_5_m+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++
++	ol_DB_LIB=-ldb-5-$ol_cv_bdb_minor
++	ol_LIBS=$LIBS
++	LIBS="$ol_DB_LIB $LTHREAD_LIBS $LIBS"
++
++	cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++#ifdef HAVE_DB_185_H
++# include <db_185.h>
++#else
++# include <db.h>
++#endif
++
++#ifndef DB_VERSION_MAJOR
++# define DB_VERSION_MAJOR 1
++#endif
++
++#ifndef NULL
++#define NULL ((void*)0)
++#endif
++
++int
++main ()
++{
++
++#if DB_VERSION_MAJOR > 2
++	db_env_create( NULL, 0 );
++#elif DB_VERSION_MAJOR > 1
++	db_appexit( NULL );
++#else
++	(void) dbopen( NULL, 0, 0, 0, NULL);
++#endif
++
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_link") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest$ac_exeext &&
++       $as_test_x conftest$ac_exeext; then
++  ol_cv_db_db_5_m=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++	ol_cv_db_db_5_m=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++      conftest$ac_exeext conftest.$ac_ext
++
++	LIBS="$ol_LIBS"
++
++fi
++{ echo "$as_me:$LINENO: result: $ol_cv_db_db_5_m" >&5
++echo "${ECHO_T}$ol_cv_db_db_5_m" >&6; }
++
++	if test $ol_cv_db_db_5_m = yes ; then
++		ol_cv_lib_db=-ldb-5-$ol_cv_bdb_minor
++	fi
++fi
++
++	if test $ol_cv_lib_db = no ; then
++	{ echo "$as_me:$LINENO: checking for Berkeley DB link (-ldb-5)" >&5
++echo $ECHO_N "checking for Berkeley DB link (-ldb-5)... $ECHO_C" >&6; }
++if test "${ol_cv_db_db_5+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++
++	ol_DB_LIB=-ldb-5
++	ol_LIBS=$LIBS
++	LIBS="$ol_DB_LIB $LTHREAD_LIBS $LIBS"
++
++	cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++#ifdef HAVE_DB_185_H
++# include <db_185.h>
++#else
++# include <db.h>
++#endif
++
++#ifndef DB_VERSION_MAJOR
++# define DB_VERSION_MAJOR 1
++#endif
++
++#ifndef NULL
++#define NULL ((void*)0)
++#endif
++
++int
++main ()
++{
++
++#if DB_VERSION_MAJOR > 2
++	db_env_create( NULL, 0 );
++#elif DB_VERSION_MAJOR > 1
++	db_appexit( NULL );
++#else
++	(void) dbopen( NULL, 0, 0, 0, NULL);
++#endif
++
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_link") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest$ac_exeext &&
++       $as_test_x conftest$ac_exeext; then
++  ol_cv_db_db_5=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++	ol_cv_db_db_5=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++      conftest$ac_exeext conftest.$ac_ext
++
++	LIBS="$ol_LIBS"
++
++fi
++{ echo "$as_me:$LINENO: result: $ol_cv_db_db_5" >&5
++echo "${ECHO_T}$ol_cv_db_db_5" >&6; }
++
++	if test $ol_cv_db_db_5 = yes ; then
++		ol_cv_lib_db=-ldb-5
++	fi
++fi
++
++	if test $ol_cv_lib_db = no ; then
++	{ echo "$as_me:$LINENO: checking for Berkeley DB link (-ldb5)" >&5
++echo $ECHO_N "checking for Berkeley DB link (-ldb5)... $ECHO_C" >&6; }
++if test "${ol_cv_db_db5+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++
++	ol_DB_LIB=-ldb5
++	ol_LIBS=$LIBS
++	LIBS="$ol_DB_LIB $LTHREAD_LIBS $LIBS"
++
++	cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++#ifdef HAVE_DB_185_H
++# include <db_185.h>
++#else
++# include <db.h>
++#endif
++
++#ifndef DB_VERSION_MAJOR
++# define DB_VERSION_MAJOR 1
++#endif
++
++#ifndef NULL
++#define NULL ((void*)0)
++#endif
++
++int
++main ()
++{
++
++#if DB_VERSION_MAJOR > 2
++	db_env_create( NULL, 0 );
++#elif DB_VERSION_MAJOR > 1
++	db_appexit( NULL );
++#else
++	(void) dbopen( NULL, 0, 0, 0, NULL);
++#endif
++
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_link") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest$ac_exeext &&
++       $as_test_x conftest$ac_exeext; then
++  ol_cv_db_db5=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++	ol_cv_db_db5=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++      conftest$ac_exeext conftest.$ac_ext
++
++	LIBS="$ol_LIBS"
++
++fi
++{ echo "$as_me:$LINENO: result: $ol_cv_db_db5" >&5
++echo "${ECHO_T}$ol_cv_db_db5" >&6; }
++
++	if test $ol_cv_db_db5 = yes ; then
++		ol_cv_lib_db=-ldb5
++	fi
++fi
++
++elif test $ol_cv_bdb_major = 4 ; then
+ 	if test $ol_cv_lib_db = no ; then
+ 	{ echo "$as_me:$LINENO: checking for Berkeley DB link (-ldb-4.$ol_cv_bdb_minor)" >&5
+ echo $ECHO_N "checking for Berkeley DB link (-ldb-4.$ol_cv_bdb_minor)... $ECHO_C" >&6; }
+@@ -28687,7 +29392,8 @@
+ 	fi
+ fi
+ 
+-	if test $ol_cv_lib_db = no ; then
++fi
++if test $ol_cv_lib_db = no ; then
+ 	{ echo "$as_me:$LINENO: checking for Berkeley DB link (-ldb)" >&5
+ echo $ECHO_N "checking for Berkeley DB link (-ldb)... $ECHO_C" >&6; }
+ if test "${ol_cv_db_db+set}" = set; then
+@@ -28775,7 +29481,6 @@
+ 	fi
+ fi
+ 
+-fi
+ if test $ol_cv_lib_db = no ; then
+ 	{ echo "$as_me:$LINENO: checking for Berkeley DB link (default)" >&5
+ echo $ECHO_N "checking for Berkeley DB link (default)... $ECHO_C" >&6; }
+@@ -39112,6 +39817,7 @@
+ ac_pwd='$ac_pwd'
+ srcdir='$srcdir'
+ INSTALL='$INSTALL'
++MKDIR_P='$MKDIR_P'
+ _ACEOF
+ 
+ cat >>$CONFIG_STATUS <<\_ACEOF
+@@ -39377,6 +40083,7 @@
+ INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
+ INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
+ INSTALL_DATA!$INSTALL_DATA$ac_delim
++am__isrc!$am__isrc$ac_delim
+ CYGPATH_W!$CYGPATH_W$ac_delim
+ PACKAGE!$PACKAGE$ac_delim
+ VERSION!$VERSION$ac_delim
+@@ -39421,7 +40128,6 @@
+ EGREP!$EGREP$ac_delim
+ LN_S!$LN_S$ac_delim
+ ECHO!$ECHO$ac_delim
+-RANLIB!$RANLIB$ac_delim
+ _ACEOF
+ 
+   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
+@@ -39463,6 +40169,7 @@
+ ac_delim='%!_!# '
+ for ac_last_try in false false false false false :; do
+   cat >conf$$subs.sed <<_ACEOF
++RANLIB!$RANLIB$ac_delim
+ DLLTOOL!$DLLTOOL$ac_delim
+ AS!$AS$ac_delim
+ OBJDUMP!$OBJDUMP$ac_delim
+@@ -39557,7 +40264,7 @@
+ LTLIBOBJS!$LTLIBOBJS$ac_delim
+ _ACEOF
+ 
+-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 92; then
++  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 93; then
+     break
+   elif $ac_last_try; then
+     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+@@ -39784,6 +40491,11 @@
+   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
+   *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
+   esac
++  ac_MKDIR_P=$MKDIR_P
++  case $MKDIR_P in
++  [\\/$]* | ?:[\\/]* ) ;;
++  */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
++  esac
+ _ACEOF
+ 
+ cat >>$CONFIG_STATUS <<\_ACEOF
+@@ -39837,6 +40549,7 @@
+ s&@abs_builddir@&$ac_abs_builddir&;t t
+ s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
+ s&@INSTALL@&$ac_INSTALL&;t t
++s&@MKDIR_P@&$ac_MKDIR_P&;t t
+ $ac_datarootdir_hack
+ " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
+ 
+@@ -40001,8 +40714,9 @@
+   # some people rename them; so instead we look at the file content.
+   # Grep'ing the first line is not enough: some people post-process
+   # each Makefile.in and add a new line on top of each file to say so.
+-  # So let's grep whole file.
+-  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
++  # Grep'ing the whole file is not good either: AIX grep has a line
++  # limit of 2048, but all sed's we know have understand at least 4000.
++  if sed 10q "$mf" | grep '^#.*generated by automake' > /dev/null 2>&1; then
+     dirpart=`$as_dirname -- "$mf" ||
+ $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+ 	 X"$mf" : 'X\(//\)[^/]' \| \




More information about the patches mailing list